org.apache.tapestry5.internal

## Class InternalSymbols

- java.lang.Object
- - org.apache.tapestry5.internal.InternalSymbols

-     public class InternalSymbols
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APP_NAME` The name of the application (i.e., the name of the application filter).
    `static String` | `APP_PACKAGE_PATH` The application package converted to a path ('.' becomes '/').
    `static String` | `RESERVED_FORM_CONTROL_NAMES` Comma-separated list of pre-allocated Form component control names.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalSymbols()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APP_NAME

          public static final String APP_NAME

      The name of the application (i.e., the name of the application filter). Used, for example, to select additional resources related to the application.
      See Also:
        Constant Field Values

    - #### APP_PACKAGE_PATH

          public static final String APP_PACKAGE_PATH

      The application package converted to a path ('.' becomes '/'). Useful for finding resources on the classpath relevant to the application.
      Since:
        5.1.0.0
      See Also:
        Constant Field Values

    - #### RESERVED_FORM_CONTROL_NAMES

          @IncompatibleChange(release="5.4",
                              details="Renamed from PRE_SELECTED_FORM_NAMES.")
          public static final String RESERVED_FORM_CONTROL_NAMES

      Comma-separated list of pre-allocated Form component control names. Basically, this exists to work around name collisions on the client side. Starting in 5.3, these names are also pre-allocated as ids.
      Since:
        5.2.0
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InternalSymbols

          public InternalSymbols()

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.